### Enumeration

# Camel ServiceConnectionStatus

since: 3.6

#### Declaration

    enum Camel.ServiceConnectionStatus

#### Description [src]

Connection status returned by camel_service_get_connection_status().

Available since: 3.6

#### Members

`CAMEL_SERVICE_DISCONNECTED`

  `CamelService` is disconnected from a remote server.

  - Value: `0`
  - Available since: 3.6
`CAMEL_SERVICE_CONNECTING`

  `CamelService` is connecting to a remote server.

  - Value: `1`
  - Available since: 3.6
`CAMEL_SERVICE_CONNECTED`

  `CamelService` is connected to a remote server.

  - Value: `2`
  - Available since: 3.6
`CAMEL_SERVICE_DISCONNECTING`

  `CamelService` is disconnecting from a remote server.

  - Value: `3`
  - Available since: 3.6